Salesforce Bulk API Starter Nuget Installation Issue

danieleboldrini reported the following issue when trying to install the SFBulkAPIStarter Nuget package in VisualStudio 2015. Full Issue Details

Could not install package ‘SFBulkAPIStarter 0.12.0’. You are trying to install this package into a project that targets

‘.NETFramework,Version=v4.5.2’, but the package does not contain any assembly references or content files that are compatible with that framework.

With VisualStudio 2015 Community, I was able to reproduce the issue in a new console application. Doing the same in VisualStudio 2013 Community installed fine. Very weird.

After digging around a bit, Microsoft changed how they treat Nuget package lib contents in VisualStudio 2015. In version 0.12, all the DLLs were under the lib folder because they weren’t targeting any specific version of the .NET runtime since there wasn’t a specific version dependency.

To appease the VisualStudio 2015 gods, the DLLs were put under the net45 folder in the Libs folder and released in version 0.13 on Nuget.

What Nuget packaging issues have you encountered? Is there a better way to handle this?

Nuget_SFBulkAPIStarter_0_13

Leave a Reply

Your email address will not be published. Required fields are marked *